Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ContinuousRangeConstraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SimpleValueConstraint, ValueConstraint, ValueRangeConstraint

    public interface ContinuousRangeConstraint

extends ValueRangeConstraint

A representation of the model object 'Continuous Range Constraint'. [[ TODO - add documentation here ]]

The following features are supported:

- `Lowerbound`
- `Upperbound`

See Also:
  `ServicedefPackage.getContinuousRangeConstraint()`

Method Summary
`java.lang.String` | `getLowerbound()` Returns the value of the 'Lowerbound' attribute
`java.lang.String` | `getUpperbound()` Returns the value of the 'Upperbound' attribute
`void` | `setLowerbound(java.lang.String value)` Sets the value of the '`Lowerbound`' attribute
`void` | `setUpperbound(java.lang.String value)` Sets the value of the '`Upperbound`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLowerbound

    java.lang.String getLowerbound()

  Returns the value of the 'Lowerbound' attribute.

  If the meaning of the 'Lowerbound' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Lowerbound' attribute.
  See Also:
    `setLowerbound(String)`, `ServicedefPackage.getContinuousRangeConstraint_Lowerbound()`

### setLowerbound

    void setLowerbound(java.lang.String value)

  Sets the value of the '`Lowerbound`' attribute.

  Parameters:
    `value` - the new value of the 'Lowerbound' attribute.
  See Also:
    `getLowerbound()`

### getUpperbound

    java.lang.String getUpperbound()

  Returns the value of the 'Upperbound' attribute.

  If the meaning of the 'Upperbound' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Upperbound' attribute.
  See Also:
    `setUpperbound(String)`, `ServicedefPackage.getContinuousRangeConstraint_Upperbound()`

### setUpperbound

    void setUpperbound(java.lang.String value)

  Sets the value of the '`Upperbound`' attribute.

  Parameters:
    `value` - the new value of the 'Upperbound' attribute.
  See Also:
    `getUpperbound()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD